Name:           libburn1
Version:        1.5.2
Release:        2
License:        GPLv2+
Summary:        A package for reading, mastering and writing optical discs
URL:            http://libburnia-project.org/
Source0:        http://files.libburnia-project.org/releases/libburn-%{version}.tar.gz
# which solves the multilib/multiarch problem by removing the timestamp within the footer from the
# doxygen generated files.
Patch0000:      libburn-0.6.16-multilib.patch
BuildRequires:  intltool gettext autoconf automake libtool pkgconfig

%description
Libburn is a package for reading, mastering and writing optical discs: CD, DVD and BD (Blu-Ray).
It also offers a facility for reading data blocks from its drives without using the normal block
device I/O, which has advantages and disadvantages.

%package        devel
Summary:        Files for libburn1 development
Requires:       libburn1 = %{version}-%{release} pkgconfig

%description    devel
Contains libraries and header files for developing applications.

%package        help
Summary:        Help files for libburn1
BuildArch:      noarch
Provides:       libburn1-doc = %{version}-%{release}
Obsoletes:      libburn1-doc < %{version}-%{release}
BuildRequires:  doxygen graphviz

%description    help
Help files for libburn1.

%package -n     cdrskin1
Summary:        A limited cdrecord compatibility wrapper
Requires:       libburn1 = %{version}-%{release}
Requires(post): chkconfig coreutils
Requires(preun): chkconfig

%description -n cdrskin1
The package is a limited cdrecord compatibility wrapper which allows to use some libburn1 features
from the command line.

%prep
%autosetup -n libburn-%{version} -p1
sed -e 's@libburn_libburn@libburn_libburn1@g' -e 's@libburn/libburn.la@libburn/libburn1.la@g' \
    -e 's@(includedir)/libburn@(includedir)/libburn1@g' -e 's@libburn-1.pc@libburn1-1.pc@g' -i Makefile.am
sed -e 's@libburn-1.pc@libburn1-1.pc@g' -i configure.ac
sed -e 's@burn@burn1@g' libburn-1.pc.in > libburn1-1.pc.in
libtoolize --force
autoreconf --force --install

%build
%configure --disable-static
%make_build
doxygen doc/doxygen.conf

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/libburn1.la
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}
mv -f $RPM_BUILD_ROOT%{_bindir}/{cdrskin,cdrskin1}
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/{cdrskin,cdrskin1}.1
ln -sf cdrskin1 $RPM_BUILD_ROOT%{_bindir}/cdrecord

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n cdrskin1
link=`readlink %{_bindir}/cdrecord`
if [ "$link" == "cdrskin1" ];
then
  rm -f %{_bindir}/cdrecord
fi
%{_sbindir}/alternatives --install %{_bindir}/cdrecord cdrecord %{_bindir}/cdrskin1 50 \
  --slave %{_mandir}/man1/cdrecord.1.gz cdrecord-cdrecordman %{_mandir}/man1/cdrskin1.1.gz

%preun -n cdrskin1
if [ $1 = 0 ];
then
  %{_sbindir}/alternatives --remove cdrecord %{_bindir}/cdrskin1
fi

%files
%doc COPYING AUTHORS COPYRIGHT README
%{_libdir}/libburn1*.so.*

%files devel
%{_includedir}/libburn1
%{_libdir}/libburn1*.so
%{_libdir}/pkgconfig/libburn1*.pc

%files help
%doc doc/html/
%{_mandir}/man1/cdrskin1.1*

%files -n cdrskin1
%ghost %{_bindir}/cdrecord
%{_bindir}/cdrskin1

%changelog
* Mon Mar 9 2020 Ling Yang <lingyang2@huawei.com> - 1.5.2-2
- Package Init
